Replace User
PUT/Users/{id}
Replaces all attributes of a user. Attributes not included in the request body are reset to their default values or removed.
Path Parameters
The unique identifier of the user.
Error Responses
Invalid request body or missing required fields.
Missing or invalid Authorization header.
SCIM provisioning not enabled or insufficient permissions.
User not found.
Request
curl -X PUT "https://{your-domain}/api/scim/v2/Users/{id}" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{}'Response — 200
{
"schemas": ["urn:ietf:params:scim:schemas:core:2.0:User"],
"id": "2819c223-7f76-453a-919d-413861904646",
"userName": "[email protected]",
"name": {
"formatted": "Barbara Jensen",
"familyName": "Jensen",
"givenName": "Barbara"
},
"emails": [
{
"value": "[email protected]",
"primary": true
}
],
"active": true,
"meta": {
"resourceType": "User",
"created": "2024-01-23T04:56:22Z",
"lastModified": "2024-05-13T04:42:34Z",
"location": "https://{your-domain}/api/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"
}
}